org.eclnt.jsfserver.elements.componentnodes

## Class TIMERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.TIMERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class TIMERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TIMERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TIMERNode` | `bindActionListener(IActionListenerDelegation value)`
    `TIMERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `TIMERNode` | `bindAvoidvalidations(IDynamicContentBindingObject value)`
    `TIMERNode` | `bindComment(IDynamicContentBindingObject value)`
    `TIMERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `TIMERNode` | `bindDuration(IDynamicContentBindingObject value)`
    `TIMERNode` | `bindDurationtype(IDynamicContentBindingObject value)`
    `TIMERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `TIMERNode` | `bindStatusbarneutral(IDynamicContentBindingObject value)`
    `TIMERNode` | `bindWaitcursor(IDynamicContentBindingObject value)`
    `TIMERNode` | `setActionListener(java.lang.String value)`
    `TIMERNode` | `setAdapterbinding(java.lang.String value)`
    `TIMERNode` | `setAttributemacro(java.lang.String value)`
    `TIMERNode` | `setAvoidvalidations(boolean value)`
    `TIMERNode` | `setAvoidvalidations(java.lang.String value)`
    `TIMERNode` | `setComment(java.lang.String value)`
    `TIMERNode` | `setConfiginfo(java.lang.String value)`
    `TIMERNode` | `setDuration(int value)`
    `TIMERNode` | `setDuration(java.lang.String value)`
    `TIMERNode` | `setDurationtype(java.lang.String value)`
    `TIMERNode` | `setId(java.lang.String value)`
    `TIMERNode` | `setReference(java.lang.String value)`
    `TIMERNode` | `setRendered(boolean value)`
    `TIMERNode` | `setRendered(java.lang.String value)`
    `TIMERNode` | `setStatusbarneutral(boolean value)`
    `TIMERNode` | `setStatusbarneutral(java.lang.String value)`
    `TIMERNode` | `setWaitcursor(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TIMERNode

          public TIMERNode()

  - ### Method Detail

    - #### setId

          public TIMERNode setId(java.lang.String value)

    - #### setActionListener

          public TIMERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public TIMERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public TIMERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public TIMERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public TIMERNode setAttributemacro(java.lang.String value)

    - #### setAvoidvalidations

          public TIMERNode setAvoidvalidations(java.lang.String value)

    - #### bindAvoidvalidations

          public TIMERNode bindAvoidvalidations(IDynamicContentBindingObject value)

    - #### setAvoidvalidations

          public TIMERNode setAvoidvalidations(boolean value)

    - #### setComment

          public TIMERNode setComment(java.lang.String value)

    - #### bindComment

          public TIMERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public TIMERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public TIMERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDuration

          public TIMERNode setDuration(java.lang.String value)

    - #### bindDuration

          public TIMERNode bindDuration(IDynamicContentBindingObject value)

    - #### setDuration

          public TIMERNode setDuration(int value)

    - #### setDurationtype

          public TIMERNode setDurationtype(java.lang.String value)

    - #### bindDurationtype

          public TIMERNode bindDurationtype(IDynamicContentBindingObject value)

    - #### setReference

          public TIMERNode setReference(java.lang.String value)

    - #### setRendered

          public TIMERNode setRendered(java.lang.String value)

    - #### bindRendered

          public TIMERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public TIMERNode setRendered(boolean value)

    - #### setStatusbarneutral

          public TIMERNode setStatusbarneutral(java.lang.String value)

    - #### bindStatusbarneutral

          public TIMERNode bindStatusbarneutral(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public TIMERNode setStatusbarneutral(boolean value)

    - #### setWaitcursor

          public TIMERNode setWaitcursor(java.lang.String value)

    - #### bindWaitcursor

          public TIMERNode bindWaitcursor(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.